#! /usr/bin/env python

import sys
import torrentfile
import torrenttracker
import config

if len(sys.argv) >= 2:
    config = config.Config(sys.argv[1])
else:
    config = config.Config()

maxRatio = config.getMaxRatio()
maxRate = config.getMaxRatio()



for file in ('torrent.torrent', 'torrent2.torrent'):
    torrent = torrentfile.TorrentFile()
    torrent.readFile(file)
    tracker = torrenttracker.TorrentTracker(torrent)
    r = tracker.start()
    print r
    print tracker.getInterval()
